Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMGroup

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMGroupType
              com.bea.schema.SOMGroup

All Implemented Interfaces:
  Serializable, SOMReference

public class SOMGroup
extends SOMGroupType
implements SOMReference

<group> The XML representation for a model group definition schema component is a <group> element information item. It provides for naming a model group for use by reference in the XML representation of complex type definitions and model groups.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMGroup()`
`SOMGroup(SOMGroup reference)`
`SOMGroup(String name)`

Method Summary
`SOMAll` | `add(SOMAll p_all)`
`SOMAny` | `add(SOMAny p_any)` An <any> is an illegal child element for <group>.
`SOMChoice` | `add(SOMChoice p_choice)`
`SOMElement` | `add(SOMElement p_element)` An <element> is an illegal child element for <group>.
`SOMGroup` | `add(SOMGroup p_group)`
`SOMSequence` | `add(SOMSequence p_sequence)`
`void` | `createDefault(DefaultDocumentOptions options, Element current)`
`Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`String` | `getID()` Returns a printable element tag for this Schema Object
`String` | `getName()`
`SOMReference` | `getRef()`
`boolean` | `isRef()` Is this element a reference to another element.
`void` | `setName(String name)`
`void` | `setRef(SOMReference ref)` set the "ref" attribute.
`void` | `setRef(SOMUnresolvedReference ref)` set the element to which this element should reference.
`void` | `toXML(Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMGroupType
`addAnnotation, addElement, addElement, contains, getAnnotation, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMaxOccurs, setMinOccurs, setMinOccurs`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.schema.SOMReference
`contains`

Constructor Detail

### SOMGroup

    public SOMGroup()

### SOMGroup

    public SOMGroup(String name)

### SOMGroup

    public SOMGroup(SOMGroup reference)

Method Detail

### getID

    public String getID()

  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Specified by:
    `getID` in interface `SOMReference`
  Specified by:
    `getID` in class `SOMObject`
  Returns:
    String representation of the element tag

### getName

    public String getName()

  Specified by:
    `getName` in interface `SOMReference`

### isRef

    public boolean isRef()

  Is this element a reference to another element. If the getRef method would return null, this method will return false. Otherwise, it will return true.

  Returns:
    true if getRef method does not return null

### getRef

    public SOMReference getRef()

### setName

    public void setName(String name)

### setRef

    public void setRef(SOMReference ref)

  set the "ref" attribute. For example, <group ref="globalGroup"> A reference to another groupo. This group inherits all the attributes of the reference group.

  Specified by:
    `setRef` in interface `SOMReference`
  Parameters:
    `ref` - the group reference

### setRef

    public void setRef(SOMUnresolvedReference ref)

  set the element to which this element should reference.

  Parameters:
    `ref` - the group to be referenced

### add

    public SOMElement add(SOMElement p_element)

  An <element> is an illegal child element for <group>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Returns:
    not applicable

### add

    public SOMChoice add(SOMChoice p_choice)

  Overrides:
    `add` in class `SOMGroupType`

### add

    public SOMGroup add(SOMGroup p_group)

  Overrides:
    `add` in class `SOMGroupType`

### add

    public SOMSequence add(SOMSequence p_sequence)

  Overrides:
    `add` in class `SOMGroupType`

### add

    public SOMAll add(SOMAll p_all)

  Overrides:
    `add` in class `SOMGroupType`

### add

    public SOMAny add(SOMAny p_any)

  An <any> is an illegal child element for <group>. This method ALWAYS throws an IllegalArgumentException.

  Overrides:
    `add` in class `SOMGroupType`
  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable

### getAttributes

    public Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Overrides:
    `getAttributes` in class `SOMGroupType`
  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### toXML

    public void toXML(Writer rtn,
                      int indent)
               throws IOException

  Description copied from class: `SOMObject`
  Outputs a formatted XML representation of SOMObject.

  Overrides:
    `toXML` in class `SOMGroupType`
  Throws:
    `IOException`

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              Element current)

  Specified by:
    `createDefault` in class `SOMGroupType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD